Project

General

Profile

Bug #7283

Message about JetPack needing an upgrade

Added by Raffi Khatchadourian almost 3 years ago. Updated almost 2 years ago.

Status:
Resolved
Priority name:
Normal
Assignee:
-
Category name:
-
Target version:
Start date:
2016-12-30
Due date:
% Done:

0%

Estimated time:

Description

On wordpress.com, I keep getting a message saying that the JetPack plugin needs to be updated.

Screenshot from 2016-12-30 15-10-35.png (84.8 KB) Screenshot from 2016-12-30 15-10-35.png Raffi Khatchadourian, 2016-12-30 03:11 PM
Screenshot from 2016-12-30 15-11-42.png (90.6 KB) Screenshot from 2016-12-30 15-11-42.png Raffi Khatchadourian, 2016-12-30 03:12 PM

History

#1 Updated by Boone Gorges almost 3 years ago

Hi Raffi - Can you please give more details? Where exactly are you seeing these messages? Can you share a screenshot? I assume that there's a reference to a Commons site that is linked to wordpress.com via Jetpack; if so, what is the URL of the Commons site?

The version of Jetpack we are currently running is the latest version available in the wordpress.org repository (4.4.2). https://wordpress.org/plugins/jetpack/

#2 Updated by Raffi Khatchadourian almost 3 years ago

Boone Gorges wrote:

Hi Raffi - Can you please give more details? Where exactly are you seeing these messages? Can you share a screenshot? I assume that there's a reference to a Commons site that is linked to wordpress.com via Jetpack; if so, what is the URL of the Commons site?

It's tough to get a screenshot because the error doesn't come up for very long. Here's some examples of where I get into trouble:

https://wordpress.com/posts/khatchad.commons.gc.cuny.edu
I don't see any posts coming up (have a similar problem with OpenLab, FYI).

https://wordpress.com/pages/khatchad.commons.gc.cuny.edu
Same problem as above.

When I click "add" for either posts or pages, I get an error: "There was an error retrieving your site settings. Make sure your Jetpack is up to date."

Also, if I try to save a draft, I get an error "saving of draft failed."

Attached screenshots.

#3 Updated by Boone Gorges almost 3 years ago

Thanks for the additional information.

The "make sure your Jetpack is up to date" sounds like a generic warning that doesn't indicate much.

Could I ask you to reach out to Jetpack support? They're generally quite friendly and responsive. And they have access to diagnostic info that I do not, so they'll probably be more able to fix the problem (or at least diagnose it). https://jetpack.com/support/

#4 Updated by Boone Gorges almost 3 years ago

  • Status changed from New to Reporter Feedback
  • Target version set to Not tracked

#5 Updated by Raffi Khatchadourian almost 3 years ago

Received this response:

Raffi,

Screenshot attached. I tried a different browser with the same result.

Make sure that WordPress, your theme, and all plugins are up-to-date.

Then, can you create an administrator account on your site for us, so we can check things out for ourselves?

First, open this link:

https://vaultpress.com/pastebin/upload.php?id=833&key=39376338306430623037

That page allows you to securely submit credentials to us without having to send them via email. Please include the login address for your site, as well.

Next, log into your site and follow these steps:

1. In your dashboard, go to Users > Add New.
2. Make up a username and use a dummy email address.
3. Click the "Show Password" button and copy the password shown. (Ctrl+C or Cmd+C on your keyboard.)
4. Make sure to select the "Administrator" role in the dropdown.
5. Click the "Add New User" button.

Now, go back to the secure link from above and enter the username and password you just created. Next, add you server’s FTP credentials. Finally, click the "Send" button to send everything to us.

Let us know when you've done that.

Also, in order to identify the source of this issue, we will need to do some testing that will involve deactivating plugins and using different themes. Is that OK?

If we may proceed, please confirm.

Thank you,
- -
Paul C. | Happiness Engineer | WordPress.com

#6 Updated by Boone Gorges almost 3 years ago

Thanks, Raffi.

We can certainly provide them credentials for an account that has administrator privileges on your site, but we cannot provide them access to the filesystem.

Were there any other messages in the thread? The first line "...with the same result" makes it sound like they've confirmed the behavior - is that correct?

#7 Updated by Raffi Khatchadourian almost 3 years ago

Boone Gorges wrote:

Thanks, Raffi.

We can certainly provide them credentials for an account that has administrator privileges on your site, but we cannot provide them access to the filesystem.

Were there any other messages in the thread? The first line "...with the same result" makes it sound like they've confirmed the behavior - is that correct?

Ah that was from me. I don't think they can repro, from what it sounds like.

Yeah, it sounds way too invasive I think.

#8 Updated by Boone Gorges almost 3 years ago

Ah, I see. Could you please respond to the thread, adding me as a CC so that I'm part of the ticket? I'll try to walk through the issue with their support.

#9 Updated by Raffi Khatchadourian over 2 years ago

Hi Boone. I am now getting a message on wordpress.com that the JetPack plugin is out-of-date. It needs 3.7 or higher but the one installed on the commons is 3.5.4. Can it be updated? Thanks.

#10 Updated by Boone Gorges over 2 years ago

Hi Raffi - We are running Jetpack version 4.4.2. The last time we ran 3.5.4 was May 7, 2015. Weird.

#11 Updated by Raffi Khatchadourian over 2 years ago

Boone Gorges wrote:

Hi Raffi - We are running Jetpack version 4.4.2. The last time we ran 3.5.4 was May 7, 2015. Weird.

Interesting! 3.5.4 is what my site is reporting. Perhaps there was a regression when a branch was merged?

#12 Updated by Boone Gorges over 2 years ago

Wow, that is strange - one of my upgrade scripts did something odd, so that production was, indeed, running a very old version. I've updated it. Sorry for the confusion!!

#13 Updated by Raffi Khatchadourian over 2 years ago

Boone Gorges wrote:

Wow, that is strange - one of my upgrade scripts did something odd, so that production was, indeed, running a very old version. I've updated it. Sorry for the confusion!!

No problem, thanks! I've confirmed version 4.4.2.

#14 Updated by Boone Gorges almost 2 years ago

  • Status changed from Reporter Feedback to Resolved

Also available in: Atom PDF